#include <dspaction.h>
#include <dialset.h>

DialKey::DialKey( const QString &initname, const QString &fullName )
	: name( initname ), fullname( fullName )
{
	freq[ 0 ] = 0;
	freq[ 1 ] = 0;
	freq[ 2 ] = 0;
}

DialKey::~DialKey()
{
}

void DialKey::setName( const QString &newname )
{
	name = newname;
}

void DialKey::setFullName( const QString &newfull )
{
	fullname = newfull;
}

void DialKey::setFreq( int id, unsigned int f )
{
	freq[ id ] = f;
}

void DialKey::setHoldLength( unsigned int h )
{
	holdlength = h;
}

void DialKey::setPostWait( unsigned int p )
{
	postwait = p;
}

DialSet::DialSet()
{
	keydata.setAutoDelete( true );
}

DialSet::~DialSet()
{
}

void DialSet::setName( const QString &newname )
{
	name = newname;
}

DspAction *DialSet::playKey( long id, bool usetimings )
{
	DialKey *key = keydata[ id ];

	// Check if we have any data for the key
	if( key == 0 ) return 0;

	usetimings = false;

	return new DspDualToneAction( key->getFreq( 0 ), key->getFreq( 1 ) );
}

DialKey *DialSet::getKey( long id )
{
	return keydata[ id ];
}

void DialSet::insertKey( long id, DialKey *data )
{
	keydata.replace( id, data );
}

