#ifndef DIALSETEDIT_H_INCLUDED
#define DIALSETEDIT_H_INCLUDED

#include <qwidget.h>
#include <qintdict.h>

class DialSet;
class QLineEdit;
class QGridLayout;

class DialKeyEdit : public QWidget
{
	Q_OBJECT
public:
	DialKeyEdit( int id, QGridLayout *grid, QWidget *parent = 0, const char *name = 0 );
	~DialKeyEdit();

	QLineEdit *getKeyName() { return keyname; }
	QLineEdit *getTone1() { return tone1; }
	QLineEdit *getTone2() { return tone2; }
	QLineEdit *getTone3() { return tone3; }

private:
	QLineEdit *keyname;
	QLineEdit *tone1;
	QLineEdit *tone2;
	QLineEdit *tone3;
};

class DialSetEdit : public QWidget
{
	Q_OBJECT
public:
	DialSetEdit( QWidget *parent = 0, const char *name = 0 );
	~DialSetEdit();

	void setDialSet( DialSet *newset );

protected:
	void resync();

	DialSet *editset;
	QIntDict<DialKeyEdit> edits;
};

#endif // DIALSETEDIT_H_INCLUDED
