#ifndef DSPOUTOSS_H_INCLUDED
#define DSPOUTOSS_H_INCLUDED

#include <sys/soundcard.h>
#include <dspout.h>

/**
 * @short OSS implementation of DspOut.
 * @author Billy Biggs <vektor@div8.net>
 *
 * This is the OSS implementation of DspOut for the /dev/dsp*
 * devices.  Note that you cannot change how many fragments
 * this class requests, yet.
 */
class DspOutOss : public DspOut
{
public:
	/**
	 * Constructs a DspOutOss object representing the given
	 * filename.  Default is /dev/dsp.
	 */
	DspOutOss( const QString &fileName = "/dev/dsp" );

	/**
	 * Destructor.  Will close the device if it is open.
	 */
	virtual ~DspOutOss();

	bool openDevice();
	bool closeDevice();

	unsigned int writableFragments();
	bool writeBuffer();

	bool setNumChannels( int newchans );
	bool setSampleRate( int newrate );

private:
	AudioBuffer *output_buf;	// Output buffer
	QString filename;		// device filename
	int audio_fd;			// The fd of the audio device
};

#endif  // DSPOUTOSS_H_INCLUDED
