#ifndef KRAD_H_INCLUDED
#define KRAD_H_INCLUDED

#include <ktmainwindow.h>

class KConfig;
class KRadView;
class DialSetEditMain;
class PhoneList;

class KRad : public KTMainWindow
{
	Q_OBJECT
public:
	KRad();
	~KRad();

private slots:
	void loadDialSet();
	void loadDialSet( const QString &filename );

	void dialSetDtmf();
	void dialSetMfc();
	void dialSetR2f();
	void dialSetR2b();

	void startEditor();
	void startQuickDial();

	void loadPhoneBook();
	void savePhoneBook();

protected:
	void saveProperties( KConfig * );
	void readProperties( KConfig * );

	KRadView *view;
	DialSetEditMain *dsedit;
	PhoneList *qdial;
};

#endif // KRAD_H_INCLUDED
