#include <qlayout.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <menulistview.h>
#include <phonelistedit.h>
#include <phonelist.h>

PhoneList::PhoneList( QWidget *parent, const char *name )
	: QWidget( parent, name )
{
	setCaption( "QuickDial" );

	editor = 0;

	QGridLayout *grid = new QGridLayout( this, 1, 1 );

	view = new MenuListView( this );
	view->setAllColumnsShowFocus( true );
	view->setMultiSelection( false );
	view->addColumn( "Sequence" );
	view->addColumn( "Comment" );
	view->addMenuItem( "Dial", this, SLOT( dialEntry() ) );
	view->addMenuItem( "Edit", this, SLOT( editEntry() ) );
	view->addMenuItem( "Delete", this, SLOT( deleteEntry() ) );
	grid->addMultiCellWidget( view, 0, 0, 0, 1 );

	QPushButton *dialbutton = new QPushButton( this );
	dialbutton->setText( "Dial" );
	connect( dialbutton, SIGNAL( clicked() ), this, SLOT( dialEntry() ) );
	grid->addWidget( dialbutton, 1, 0 );

	QPushButton *editbutton = new QPushButton( this );
	editbutton->setText( "Edit" );
	connect( editbutton, SIGNAL( clicked() ), this, SLOT( editEntry() ) );
	grid->addWidget( editbutton, 1, 1 );

	resize( 200, 100 );
}

PhoneList::~PhoneList()
{
}

void PhoneList::loadPhoneList()
{
}

void PhoneList::savePhoneList()
{
}

void PhoneList::dialEntry()
{
	if( view->selectedItem() != 0 ) {
		pleaseDial( view->selectedItem()->text( 0 ) );
	}
}

void PhoneList::editEntry()
{
	if( view->selectedItem() != 0 ) {
		curedit = view->selectedItem();
		if( editor == 0 ) {
			editor = new PhoneListEdit;
			connect( editor, SIGNAL( okClicked() ), this, SLOT( editEntryOk() ) );
			connect( editor, SIGNAL( cancelClicked() ), this, SLOT( editEntryCancel() ) );
		}
		editor->setNumber( curedit->text( 0 ) );
		editor->setComment( curedit->text( 1 ) );
		editor->show();
	}
}

void PhoneList::deleteEntry()
{
}

void PhoneList::addToList( QString number )
{
	new QListViewItem( view, number, QString::null );
}

void PhoneList::editEntryOk()
{
	curedit->setText( 0, editor->getNumber() );
	curedit->setText( 1, editor->getComment() );
	editor->hide();
}

void PhoneList::editEntryCancel()
{
	editor->hide();
}

